Subject: Re: [PMOL] Repeated WGLC on draft-ietf-pmol-metrics-framework-05

From: Benoit Claise <[email-masked]>
Date: Tue, 16 Nov 2010 09:06:41 +0100

Hi Yaakov,

Now that the WGLC is finished and that the IETF week is over, let me 
cover all the WGLC comments.
> I think there are important ideas here.
>
> Three minor comments:
>
> 1) The acronym PM is used by the OAM community for "Performance Management"
> (in contrast to FM which stands for "Fault Management").
> Re-use for "Performance Metrics" in a related field
> (especially considering the weak intercommunications between the communities)
> could lead to confusion.
Make sense to me. I removed the PM acronym
> 2) I understand that the entity/directorate will be reviewing documents
> that define performance metrics. Who determines which documents need to be reviewed ?
> For example, what about an ID from some WG in transport or security that in passing
> defines a measured parameter ? (Some directorates look at every document that makes it to the IESG)
The way I see this is a strong link between the OPS directorate and this 
new Performance Metrics Entity/directorate).
Yes, the OPS directorate reviews all documents. Then they could direct 
the ones that have performance metrics to this new directorate.
In practice I don't see any issues. For example, both Al and I are part 
of OPS directorate.
Do you believe some text should be updated in the draft? Where?
> 3) I am not a strong supporter of meta-documents -
> I much prefer RFCs with meaningful technical content to those that dictate internal processes.
> I see this document as a "Tao" for the PMOL and IPPM communities.
Yes. Hence the name "Guidelines for Considering New Performance Metric 
Development"
> I remember that 2418 mentions the concept of directorate,
> and found a list of directorates here - http://www.ietf.org/iesg/directorate/
> but do not recall RFCs for the security, transport, ... directorates,
> except for the quoted 5706.
>
> Since I was not involved in the discussions in PMOL, I would like to know if alternative mechanisms
> for making this information available (e.g., a Performance Metric wiki)
> have been discussed.
The alternative that was discussed is that the PMOL WG would contain all 
the performance metrics related drafts.
Some issues: we could see an explosion of those drafts, while we might 
be lacking the technology expertise.

A WIKI, I don't believe too much in that unless there is a procedure in 
place

Regards, Benoit.
> Y(J)S
>
>
> -----Original Message-----
> From: [email-masked] [mailto:[email-masked]] On Behalf Of Al Morton
> Sent: Monday, October 11, 2010 14:28
> To: [email-masked]
> Cc: [email-masked]; [email-masked]
> Subject: [PMOL] Repeated WGLC on draft-ietf-pmol-metrics-framework-05
>
> PMOL WG,
> cc IPPM and BMWG WGs,
>
> This message begins a PMOL WG Last Call on the following draft:
>
>          Title:   Guidelines for Considering New Performance Metric Development
> 	Author(s)       : A. Clark, B. Claise
> 	Filename        : draft-ietf-pmol-metrics-framework-05.txt
> 	Pages           : 21
> 	Date            : 2010-10-10
> 	
> This memo describes a framework and guidelines for the development of
> performance metrics that are beyond the scope of existing working
> group charters in the IETF.
>
> A URL for this Internet-Draft is:
> http://www.ietf.org/internet-drafts/draft-ietf-pmol-metrics-framework-05.txt
>
> There has been discussion of this draft for over 3 years
> on the PMOL list and at meetings, both formal and informal.
> The previous WGLC closed on January 2, 2009.
> The Authors believe all comments to date have been addressed.
>
> Please weigh-in on whether or not this Draft should be forwarded
> to the Area Directors for publication as a Standards Track RFC.
> Send your comments to the PMOL list or the co-chairs.
>
> The Last Call will be open till November 8, 2010.
>
> thanks for your review and comments,
> Al Morton
> co-chair, PMOL WG
>
> _______________________________________________
> PMOL mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pmol
> _______________________________________________
> PMOL mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/pmol